# Method: matters.addPermissions

- [HTTP request](https://developers.google.com/workspace/vault/reference/rest/v1/matters/addPermissions#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/vault/reference/rest/v1/matters/addPermissions#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/vault/reference/rest/v1/matters/addPermissions#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/vault/reference/rest/v1/matters/addPermissions#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/vault/reference/rest/v1/matters/addPermissions#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/vault/reference/rest/v1/matters/addPermissions#body.aspect)
- [Try it!](https://developers.google.com/workspace/vault/reference/rest/v1/matters/addPermissions#try-it)

Adds an account as a matter collaborator.

### HTTP request

`POST https://vault.googleapis.com/v1/matters/{matterId}:addPermissions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `matterId` | `string` The matter ID. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "matterPermission": { object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters#MatterPermission`) }, "sendEmails": boolean, "ccMe": boolean } ``` |

| Fields ||
|---|---|
| `matterPermission` | ``object (`https://developers.google.com/workspace/vault/reference/rest/v1/matters#MatterPermission`)`` The account and its role to add. |
| `sendEmails` | `boolean` To send a notification email to the added account, set to **true** . To not send a notification email, set to **false**. |
| `ccMe` | `boolean` Only relevant if **sendEmails** is **true** . To CC the requestor in the email message, set to **true** . To not CC requestor, set to **false**. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/vault/reference/rest/v1/matters#MatterPermission`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/ediscovery`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).